from django.test import TestCase

from apigatewayauth.openapi import any_api_service_security_method_with_scopes


class OpenAPITestCase(TestCase):

    def test_any_api_service_security_method_with_scopes(self):
        """
        Test that the service definitions are returned for a given set of scopes.

        """

        self.assertListEqual(
            any_api_service_security_method_with_scopes('read', 'write', 'admin'),
            [
                {
                    'API Service OAuth2 Client Credentials': ['read', 'write', 'admin']
                },
                {
                    'API Service OAuth2 Access Code': ['read', 'write', 'admin']
                }
            ]
        )
